streams.query; system telemetry
access may use sys.telemetry.read.
Body
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
{
"pointer": {
"ts": 1700000000000000,
"fingerprint": null
},
"before": {
"columns": ["_timestamp", "msg"],
"rows": [[1700000000000000, "..."]],
"scanned_rows": 100,
"took_ms": 4
},
"after": {
"columns": ["_timestamp", "msg"],
"rows": [[1700000000500000, "..."]],
"scanned_rows": 100,
"took_ms": 4
}
}
Fetch the events before and after a given one.
{
"pointer": {
"ts": 1700000000000000,
"fingerprint": null
},
"before": {
"columns": ["_timestamp", "msg"],
"rows": [[1700000000000000, "..."]],
"scanned_rows": 100,
"took_ms": 4
},
"after": {
"columns": ["_timestamp", "msg"],
"rows": [[1700000000500000, "..."]],
"scanned_rows": 100,
"took_ms": 4
}
}
POST /api/v1/query/search_around
streams.query; system telemetry
access may use sys.telemetry.read.
Body
| Field | Type | Required | Default |
|---|---|---|---|
event_timestamp_us | integer | ✅ | — |
stream | string | ✅ | — |
stream_type | string | ✅ | — |
event_fingerprint | string | — | — |
before | integer | — | 50 |
after | integer | — | 50 |
{
"pointer": {
"ts": 1700000000000000,
"fingerprint": null
},
"before": {
"columns": ["_timestamp", "msg"],
"rows": [[1700000000000000, "..."]],
"scanned_rows": 100,
"took_ms": 4
},
"after": {
"columns": ["_timestamp", "msg"],
"rows": [[1700000000500000, "..."]],
"scanned_rows": 100,
"took_ms": 4
}
}
Was this page helpful?